/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * InvalidInputException.hpp
 *
 *  Created on: 2010/11/22
 *      Author: HARK Development Team
 */

#ifndef INVALIDINPUTEXCEPTION_HPP_
#define INVALIDINPUTEXCEPTION_HPP_

#include <string>
#include <BaseException.h>


namespace NSHarkBinaural
{

/**
 * 入力データの異常を表す例外.
 */
class InvalidInputException : public FD::BaseException
{
public:
    /**
     * 入力データ異常例外を生成する.
     * @param msg 例外メッセージ
     */
    InvalidInputException(std::string msg);

    /**
     * 入力データ異常例外を破棄する.
     */
    virtual ~InvalidInputException();

    /**
     * 例外メッセージを表示する.
     * @param out メッセージを出力するストリーム
     */
    virtual void print (std::ostream &out = std::cerr);

private:
    /**
     * 例外メッセージ.
     */
    std::string msg;
};

}

#endif /* INVALIDINPUTEXCEPTION_HPP_ */
